Subject: Re: [PATCH -next] PCI: fix tlan build when CONFIG_PCI is not enabled

From: Sakari Ailus <[email-masked]>
Date: Mon, 14 Feb 2011 23:32:16 +0200

Randy Dunlap wrote:
> From: Randy Dunlap <[email-masked]>
> 
> When CONFIG_PCI is not enabled, tlan.c has a build error:
> drivers/net/tlan.c:503: error: implicit declaration of function 'pci_wake_from_d3'
> 
> so add an inline function stub for this function to pci.h when
> PCI is not enabled, similar to other stubbed PCI functions.
> 
> Signed-off-by: Randy Dunlap <[email-masked]>
> Cc: Sakari Ailus <[email-masked]>

Hi Randy,

I think this issue in tlan driver was caused by my recent patch which
added the suspend/resume support to tlan:

<URL:http://marc.info/?l=linux-netdev&m=129564436110754&w=3>

There apparently are tlan cards which are EISA (not PCI) which I forgot
when writing the patch. The suspend/resume has been only tested with PCI
as I have no EISA bus (let alone EISA tlan card!).

I'm going to send a fix to the tlan driver in any case.

Regards,

-- 
Sakari Ailus
[email-masked]